package me.Demon.DemonNeverLag.ClearEntity;

import me.Demon.DemonNeverLag.Main;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.entity.Cow;
import org.bukkit.entity.Entity;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntitySpawnEvent;
import org.bukkit.event.player.PlayerInteractEntityEvent;
import org.bukkit.inventory.ItemStack;

public class AntiEntity_Nether implements Listener {

    @EventHandler
    public void onEntitySpawn(EntitySpawnEvent event) {
        EntityType entityType = event.getEntityType();
        if (entityType.isSpawnable() && entityType != EntityType.PLAYER) {
            if (entityType == EntityType.PIG_ZOMBIE || entityType == EntityType.BLAZE || entityType == EntityType.MAGMA_CUBE) {
                Location spawnLocation = event.getEntity().getLocation();
                if (spawnLocation.getWorld().getName().equalsIgnoreCase("ASkyBlock_nether")) {
                    int nearbyMonsterCount = countNearbyMonsters(spawnLocation);
                    if (nearbyMonsterCount >= 40) {
                        event.setCancelled(true);
                    }
                }
            }
        }
    }

    private int countNearbyMonsters(Location location) {
        int monsterCount = 0;
        for (Entity entity : location.getWorld().getEntities()) {
            if (entity.getType().isSpawnable() && entity.getType() != EntityType.PLAYER) {
                double distanceSquared = entity.getLocation().distanceSquared(location);
                if (distanceSquared <= 150) {
                    monsterCount++;
                }
            }
        }
        return monsterCount;
    }
}
